GNU bug report logs - #50804
Command substitutions for keys without keymaps

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; Keywords: patch; Done: Stefan Kangas <stefan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 50804 <at> debbugs.gnu.org and Stefan Kangas <stefan@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 22 Nov 2021 05:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 22 00:48:38 2021
Received: from localhost ([127.0.0.1]:46651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mp2By-0005ni-MQ
	for submit <at> debbugs.gnu.org; Mon, 22 Nov 2021 00:48:38 -0500
Received: from mail-pg1-f173.google.com ([209.85.215.173]:37676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mp2Bv-0005nL-JA
 for 50804 <at> debbugs.gnu.org; Mon, 22 Nov 2021 00:48:36 -0500
Received: by mail-pg1-f173.google.com with SMTP id d4so169593pgc.4
 for <50804 <at> debbugs.gnu.org>; Sun, 21 Nov 2021 21:48:35 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=9Odtkt4xWMMJzRM7IFUnJt/yLlA/9HniT4kxM+XbzdM=;
 b=mBkxkrAf6Z7TUzz4M8JLYMWFaVqI71s2flrHIqZqLzcseK300Z43KdA9f/LUvoHCs2
 VG9VW99mXrnZQNTDquHt/PtkMuDpibN+d4KtSucQYpYZMVUTJoUhCxddOz1GvVuUd4mj
 UejJoGsv4xZ8ce82btmk++q/MnyoUQoiUik4fJHaQ1fi58oXb2mGutit3Xq96lgmKO5y
 ZtUKtuIzKKI6K/iN+ctuQv9pANVY2PQ26qpisgB10OWsqZJ1U481Wr9MLaCaZYhKaD++
 HmJRV2UXTLdZKkRevOb9RMKwEGTJmTYH6PHzjz1bAdJdLWEOnOYESo6BqNAhEga6fUQh
 4Mpw==
X-Gm-Message-State: AOAM5337vsvQEEo5TrEBFH7sGp8OfCbSbKfdCgdQPNNEnMcs1V0hKkTh
 2sPUpflsY1PZQfwP3px03e6ZR9xzKkrIo4YhzWQ=
X-Google-Smtp-Source: ABdhPJwO9RcejkEe1fsFC1W+5gmJIJXYXuf62yAELEmFCL9ClBPuzMRAcg0SLLV+FFRwzAardvqmigmHooTqsiivIL4=
X-Received: by 2002:a65:578e:: with SMTP id b14mr32033679pgr.114.1637560109844; 
 Sun, 21 Nov 2021 21:48:29 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 22 Nov 2021 06:48:29 +0100
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87pmqtjna7.fsf@HIDDEN>
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
 <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
 <87czotgth0.fsf@HIDDEN>
 <CADwFkmnfY9e48LzBg3fKNkeSDgBXrBzoaPd4DdtSH5NDZvDsGw@HIDDEN>
 <87lf1hoqxq.fsf@HIDDEN>
 <CADwFkmkCYKneow8rDpfBGwcQHJ+oET5=gUk0YtvQ_u59SqbCXw@HIDDEN>
 <87pmqtjna7.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 22 Nov 2021 06:48:29 +0100
Message-ID: <CADwFkmnQopT5i-UxGRiJ9KANBhh6QEFa4xt_xRe1Eqr7zyvUVw@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

close 50804 29.1
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Makes sense to me.

Thanks, pushed (commit 1aef1a6673).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 21 Nov 2021 19:56:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 21 14:56:27 2021
Received: from localhost ([127.0.0.1]:46091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1moswt-0005Lh-Mv
	for submit <at> debbugs.gnu.org; Sun, 21 Nov 2021 14:56:27 -0500
Received: from quimby.gnus.org ([95.216.78.240]:56906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mosws-0005LQ-1C
 for 50804 <at> debbugs.gnu.org; Sun, 21 Nov 2021 14:56:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bkuFDQRIEL/HB3pkz37A4Ql96tZFgnI8mCXswHaDDPI=; b=tng8WFcGZ/Oh0iPS8cBQ2YR45O
 uRlcAP8dyYwP2FH1djXzad6Cs2CSJG3jelppKjmtAq7ynsAlYTErK0cwZxWM4380adAis7VRUSH0O
 J2E0AnNAzsWJZyFG9yenI1DSZKfhz04YRUVXcl3RUNYiOvOfHh4URjxOSF1Go8HUBtTM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1moswi-0000FW-Qg; Sun, 21 Nov 2021 20:56:19 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
 <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
 <87czotgth0.fsf@HIDDEN>
 <CADwFkmnfY9e48LzBg3fKNkeSDgBXrBzoaPd4DdtSH5NDZvDsGw@HIDDEN>
 <87lf1hoqxq.fsf@HIDDEN>
 <CADwFkmkCYKneow8rDpfBGwcQHJ+oET5=gUk0YtvQ_u59SqbCXw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAHlBMVEX0vDD7xDTNni2z
 jS2Nby5YRSJZUE9lWlKzsrH///8JT23mAAAAAWJLR0QJ8dml7AAAAAd0SU1FB+ULFRMeMpi8xVsA
 AAGmSURBVDjLdZLBUsIwEIZ3g9x3qw/QJs54hSCcGRXuCugdMblzSN/A4bHdBGibUgOTdvbrn393
 /gAAIDPHBwHIHzitczm+YFFyZ10/YAKtcQiwsmYQFNrqoaNI5ydFQOmprbSUAeI3YqVnOqtHxeOW
 CjvTCNQ1AVTb1cSAxSiruor5+4dWtiQU/y4Yr3ZbrbTBXl9QbF53LzMzq6ReZh52vqu0sXpiymxy
 tdoJUEZQPuDYbpYkYxib1QWMlhKCsaakHNxvUcIxuswHF/MYHowmmNdTVZaqAPsAieLWq58zBwC4
 BdFnGBCq9tZ0ARbrKcGtOai1O9weJoLVZ3BH6hOwEJzzvorhZ8A8O1nhWyJnzI+6c15+xzQmNzIg
 orWT09y0ud7nXfJ/EIFz39gzl20dbdwyc4cRR0lc0plkgh0F4SKRPaUI8HyZpylGd/G/3H66AMYn
 8Q/1oeMPy/Qoggu+DsemjqkrTlPWofZV3m48Vab88fW+BddvpGWRhEbSBrfwp18fGvc2hMKdan/g
 WwU/ff2G/RAQf1cNAX7wrSADvJj+A4rO+x8Ynnbz2HAz3wAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0xMS0yMVQxOTozMDo1MCswMDowMBj9O4EAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMTEtMjFU
 MTk6MzA6NTArMDA6MDBpoIM9AAAAAElFTkSuQmCC
X-Now-Playing: Hot Chip's _Coming on Strong_: "Down With Prince"
Date: Sun, 21 Nov 2021 20:56:16 +0100
In-Reply-To: <CADwFkmkCYKneow8rDpfBGwcQHJ+oET5=gUk0YtvQ_u59SqbCXw@HIDDEN>
 (Stefan Kangas's message of "Sun, 21 Nov 2021 14:35:53 +0100")
Message-ID: <87pmqtjna7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Maybe something
 like the attached? Makes sense to me. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Maybe something like the attached?

Makes sense to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 21 Nov 2021 13:36:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 21 08:36:22 2021
Received: from localhost ([127.0.0.1]:44406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mon0p-0001Re-Id
	for submit <at> debbugs.gnu.org; Sun, 21 Nov 2021 08:36:22 -0500
Received: from mail-pg1-f176.google.com ([209.85.215.176]:43862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mon0h-0001Qr-QE
 for 50804 <at> debbugs.gnu.org; Sun, 21 Nov 2021 08:36:05 -0500
Received: by mail-pg1-f176.google.com with SMTP id b4so12849677pgh.10
 for <50804 <at> debbugs.gnu.org>; Sun, 21 Nov 2021 05:35:59 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=4f1a1TtvvY/bnQ8f1YNZoCKazzQH36nhPkmhGQG646g=;
 b=bdgroBpImyAj43lq90sWdkqVU8OwdxrBF0Wz1Gmw59N6mPIeV6M6nEpouNLx8zbANb
 RNih/LVgblcV3ojlebHaRDTOACBbU31IfFfbDGD9zFly5RVgBPzVkJStQ0DsEwrB8NXp
 gE35+CbADznLLCEsiMUg/ng16kZ0sCs3Fv8bKufgyG8DTRFGUfP/LPLoluFUhhMLTw42
 z6XHWiZ9iuSf6+/Z3ZBRYW05iIAd9ZfVOcLPsGA7Wlhhw2PrisYB93M9iqmH50uGXPaG
 4NbywUyfcJ+u+D3l3YfTdioEVPnkNnzfQwp6zCcI7QNSI9e+hM4q99dePUDbAdt6LTgf
 hhNw==
X-Gm-Message-State: AOAM533M/t7oqOkZw/d5Wums8LbbSaKGs3yPwJcYaR6SbCmK6uexaTsQ
 wXIEVFtN63sUCAq3GEPEi/3RuhUGTCXf+S4aQsw=
X-Google-Smtp-Source: ABdhPJwp5fXbtNYuJnSTmuwiNbUbkHy7B9o8ju70d0YW6VzdZwN5ZA8fD90RulPkX8mp9erSBV1LBldswgxs76fI+EY=
X-Received: by 2002:a65:578e:: with SMTP id b14mr28250203pgr.114.1637501754119; 
 Sun, 21 Nov 2021 05:35:54 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 21 Nov 2021 14:35:53 +0100
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87lf1hoqxq.fsf@HIDDEN>
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
 <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
 <87czotgth0.fsf@HIDDEN>
 <CADwFkmnfY9e48LzBg3fKNkeSDgBXrBzoaPd4DdtSH5NDZvDsGw@HIDDEN>
 <87lf1hoqxq.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 21 Nov 2021 14:35:53 +0100
Message-ID: <CADwFkmkCYKneow8rDpfBGwcQHJ+oET5=gUk0YtvQ_u59SqbCXw@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000005fa76405d14c96b4"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000005fa76405d14c96b4
Content-Type: text/plain; charset="UTF-8"

tags 50804 + patch
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'd be OK to go with the new syntax here.

Maybe something like the attached?

--0000000000005fa76405d14c96b4
Content-Type: text/x-diff; charset="utf-8"; 
	name="0001-Add-new-format-for-literal-key-sequences-to-substitu.patch"
Content-Disposition: attachment; 
	filename="0001-Add-new-format-for-literal-key-sequences-to-substitu.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 327f61fee15ee1c6_0.1
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=
--0000000000005fa76405d14c96b4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 21 Nov 2021 08:26:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 21 03:26:21 2021
Received: from localhost ([127.0.0.1]:44127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1moiB3-0003Re-AO
	for submit <at> debbugs.gnu.org; Sun, 21 Nov 2021 03:26:21 -0500
Received: from quimby.gnus.org ([95.216.78.240]:51426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1moiB1-0003RR-N5
 for 50804 <at> debbugs.gnu.org; Sun, 21 Nov 2021 03:26:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mNl346tI009eUAGyEMEcPtp0fj71f+oIT8SWu8JvPcY=; b=OAnBvryuinZqiI3fXCA4v+Sw7F
 XtLZmdPg9IOD0+Ilb/0eY1b8hpz/yjS0K+hpegzXsS8JGZS7PZFOsMFnZh2E7chq71buD7uN5EjG5
 Ou+f4SMhNi/rpsZfb3Zg/GqN2pAmteQggmZIUPQDK8KplNjLIxuCjTe4WiwmTxHuLzFY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1moiAt-0003jj-AL; Sun, 21 Nov 2021 09:26:13 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
 <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
 <87czotgth0.fsf@HIDDEN>
 <CADwFkmnfY9e48LzBg3fKNkeSDgBXrBzoaPd4DdtSH5NDZvDsGw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEX6+Pbr49vY0s/A
 ra7l2NLJtLP///+HTxUtAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+ULFQgEN0iIh54AAAGsSURBVDjL
 bVNRcusgDIS0B2AZ+m/JcIDGz/+GKv+tk9z/KhVJnRdwNJ7xDIuk3UUy1hj9XsTIXF4C1llji0SB
 awEpwGnilcvSAiyezseveSW0ADLCOE3TJXelLGDTLBnoMqJIuWY4K7kFiFAqpe6+9gCKX/OyU6lF
 /CWWvPRA1lJXTjRInyHkr/yiiQM8R2d2AQREiYjBd0AsJTH50nuVM3xiRNXSCRRkCe8UXLg59CzQ
 GffuXrS/P9YuGKT5dp8weKp89gDxwHr6oPQoyhrOpsHaHijMxsZsXgb8Jde7H8PHkszhiS9mqv80
 Tf9WnYx5MGb19ch+fVbgLfIAZoq3ZpVpOE0R7RSLEAUqJ52s1sXM6hY8ztNRGpUB92l+u57bFFcL
 26ATMbcDT5ElR1X5GdtFyDl47fETh070X49+bbSHugeDxH7tbAdDMk/rXeKTf3Uz8ikdRZZmsuAJ
 SGcZiVfaue7UdGWcn7eKDzwejUfduUrywY4xfhtzGszfEvoNIT9GrXPBpmRrNPAVNwqb4M0BSrOD
 j/psCgf5b/06HlfWNzEhdi4edi7d4he2TUCigZwhOwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0x
 MS0yMVQwODowNDo1NSswMDowMJpV6q4AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMTEtMjFUMDg6
 MDQ6NTUrMDA6MDDrCFISAAAAAElFTkSuQmCC
X-Now-Playing: Tarnation's _Gentle Creatures_: "Two Wrongs Won't Make Things
 Right"
Date: Sun, 21 Nov 2021 09:26:09 +0100
In-Reply-To: <CADwFkmnfY9e48LzBg3fKNkeSDgBXrBzoaPd4DdtSH5NDZvDsGw@HIDDEN>
 (Stefan Kangas's message of "Sat, 20 Nov 2021 16:05:54 +0100")
Message-ID: <87lf1hoqxq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Which is just...
 wrong. So either we say that, you know,
 don't use this > syntax in code intended
 for use in anything older Emacs 29, or we just > go with the new syntax \\`y`.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Which is just... wrong.  So either we say that, you know, don't use this
> syntax in code intended for use in anything older Emacs 29, or we just
> go with the new syntax \\`y`.

I'd be OK to go with the new syntax here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 20 Nov 2021 15:06:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 20 10:06:06 2021
Received: from localhost ([127.0.0.1]:43505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1moRwM-0000K1-4Q
	for submit <at> debbugs.gnu.org; Sat, 20 Nov 2021 10:06:06 -0500
Received: from mail-pl1-f173.google.com ([209.85.214.173]:44671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1moRwH-0000JP-0d
 for 50804 <at> debbugs.gnu.org; Sat, 20 Nov 2021 10:06:04 -0500
Received: by mail-pl1-f173.google.com with SMTP id q17so10378186plr.11
 for <50804 <at> debbugs.gnu.org>; Sat, 20 Nov 2021 07:06:01 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=I2/52IyFA3NR/OGTXAHIqbkF8ybfXs15BKdXownJsTk=;
 b=jwcB8MSu0ZSZ8mXQk9msRBlH9+gHTL77+/gj7GmYfNFEQH7KsZ34ZV3TBMPQvWhJAh
 PZfX9z4g/oZEPC5rnEtFzOhF4Wj+ofFQqWlD8Y/GyeZsh2EmKRmibP0xYSywxOuR12lv
 YHhjGwWuzjAg0utJ7uqgS4KIw1/N4jK7vGp5qy/IK4lDpxKjWTvkZQZ5Tv48yD3EQYWV
 baE/PJZ2tjz7uvvbdbgDduCk8D/sAQE3iNWJof4+vBdJyTwXA/etEEJQzSy+i5GUUh0/
 +36DV0ON/lHr/8ayyw3trQqg4+vn8JgGJhxjgZQY1cmUXYFqjdYAKNqsB61yzld3DXkG
 dbPw==
X-Gm-Message-State: AOAM530aw38w2d3gbUJJvW3zNB3/9PeTQHjWblBZhKH2ZDAYPb4Znq4F
 xuo+qLp/62HLAv41tm7zZDBlU1uwImceCHLuo+o=
X-Google-Smtp-Source: ABdhPJxEQtelTzr1ksGlHhykNNMKNYkNHsJvL8CPIpTNPqTROTRa/1ZgDLKvrfDi8IkQXTE8Z7f7nJpZM1v2m4P79po=
X-Received: by 2002:a17:90a:4414:: with SMTP id
 s20mr11152840pjg.132.1637420755161; 
 Sat, 20 Nov 2021 07:05:55 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 20 Nov 2021 16:05:54 +0100
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87czotgth0.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 28 Sep 2021 07:27:39 +0200")
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
 <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
 <87czotgth0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sat, 20 Nov 2021 16:05:54 +0100
Message-ID: <CADwFkmnfY9e48LzBg3fKNkeSDgBXrBzoaPd4DdtSH5NDZvDsGw@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>> The second one will be printed as "\=E2=80=98C-h=E2=80=98" on old versio=
ns, which isn't
>> perfect but not too bad.  Even if the extra "\" is distracting, it is at
>> least not actively misleading...
>
> That's a good point.  So perhaps \\`C-h' does make sense in
> `substitute-command-keys'.

I found a patch of mine from March that I had forgotten about.  It uses
the syntax "\\[=3Dy]" to mean the key "y" where, I guess, we could
stipulate that whatever comes after "=3D" is `key-valid-p'.

However, it breaks backwards incompatibility just as "\\[[y]]" would:

    (substitute-command-keys "\\[=3Dk]")
    =3D> "M-x =3Dk"

    (substitute-command-keys "\\[[y]]")
    =3D> "M-x [y]"

Which is just... wrong.  So either we say that, you know, don't use this
syntax in code intended for use in anything older Emacs 29, or we just
go with the new syntax \\`y`.

Given that I have a seemingly mostly working patch it should be easy to
fix it up whichever way we decide to go.  I hope.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 28 Sep 2021 05:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 01:27:54 2021
Received: from localhost ([127.0.0.1]:43486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV5ek-0004cw-Gm
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 01:27:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mV5ej-0004ck-K4
 for 50804 <at> debbugs.gnu.org; Tue, 28 Sep 2021 01:27:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=aOgZNJMSuq4t2Dvio6w4beHbic9GWoAhcDW9GszhPUM=; b=ifUvzLCNe6LLaf0pzxp1C3G/JG
 w9j+VndydfxPn214Y45dMJgjm2Lwn795doAbrZOlmlXxHzrplqs9ghS3apxFGGDFLkMo1ZARwq5Lm
 wBxxIP6uTQ9ALC47YUYXsCgbw0sAfIEBJZTVof0sUdR1/h/byWP8iP4shUrrNIhf37ZQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mV5eb-0007do-7X; Tue, 28 Sep 2021 07:27:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
 <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXYebPYd7KtYpCK
 TnJHKDvwyeL////KdnvEAAAAAWJLR0QGYWa4fQAAAAlwSFlzAAAAZAAAAGQAD5bF3QAAAAd0SU1F
 B+UJHAUVGyaZR9QAAAGlSURBVDjLbZNtjoQgDIYLM/wHXP8reIDNlBMMHABnw/2vsgVEUaeJIekj
 Lf14Aa7GZmYRw80PWhobXAB1GJOKaWOGgC4ESCKmmEQiExBFNPOyAbKYimUaP9p58lcgs3MsYFqH
 UKyANbMKIlvCcSN24IPdDZYSbED8uQ5AAzHND4e4hyrRMvibjEVvMRx1xCSjsM5jNk8EjqJVjY4F
 9r3SW9rgTb5x2BJ668DzDHICpSR93J8AVUCFUVtFpLY2t2t1xFz16uyWfe/VuJaBPOu73kstMHdo
 pQqpymjyz78lRxwrYKX9+oXO/xzJRZ0t/cEx2KO7dYjF4LE/t05btjPn9/wC6NEy+0EPe6h28vwq
 MOCAhkHpRT3HRA17M1gsgsqTYKqes6IdkQD8xU/rrCVYQ36QFKwHw8Symyma/AlwyYsOtEV3AlKa
 ogN91YdRE+GJW3cB3FB8rcrGndWk6KFNOBfjryaciy2zvq1P3TqKFNwXwEmy3wCzFr+GotJIm3gD
 A70H0d5AESxpwJ23veogq4Ng30TVdED6OPVqaBvtLznaRlX7B5KPsgegCyajAAAAJXRFWHRkYXRl
 OmNyZWF0ZQAyMDIxLTA5LTI4VDA1OjIxOjI3KzAwOjAwT9vIeAAAACV0RVh0ZGF0ZTptb2RpZnkA
 MjAyMS0wOS0yOFQwNToyMToyNyswMDowMD6GcMQAAAAASUVORK5CYII=
X-Now-Playing: Hexting's _Post Post Rock Rock_: "The Sky Drooled"
Date: Tue, 28 Sep 2021 07:27:39 +0200
In-Reply-To: <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
 (Stefan Kangas's message of "Mon, 27 Sep 2021 17:41:51 -0700")
Message-ID: <87czotgth0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > The second one
    will be printed as "\‘C-h‘" on old versions, which isn't > perfect but
    not too bad. Even if the extra "\" is distracting, it is at > least not actively
    misleading... 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> The second one will be printed as "\=E2=80=98C-h=E2=80=98" on old version=
s, which isn't
> perfect but not too bad.  Even if the extra "\" is distracting, it is at
> least not actively misleading...

That's a good point.  So perhaps \\`C-h' does make sense in
`substitute-command-keys'.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 28 Sep 2021 00:41:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 27 20:41:58 2021
Received: from localhost ([127.0.0.1]:43202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV1C2-0005pI-MM
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 20:41:58 -0400
Received: from mail-pj1-f49.google.com ([209.85.216.49]:37752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mV1C1-0005p3-OI
 for 50804 <at> debbugs.gnu.org; Mon, 27 Sep 2021 20:41:58 -0400
Received: by mail-pj1-f49.google.com with SMTP id
 me5-20020a17090b17c500b0019af76b7bb4so489077pjb.2
 for <50804 <at> debbugs.gnu.org>; Mon, 27 Sep 2021 17:41:57 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=BYvSqKR9q7TykT9xzlcG0MYmx3wUk+vwVDBjjEInw0w=;
 b=Zsz55MQ39aKEmBn5GS7qt+FVEiK1Hr9c/ANvpxtLJUT7T3Xi6snM+4YOxAY+txRNQJ
 9ior58UQ2hJdK7Kvq7HmL1bx861IvUS7JcZeBeMzugB1bBw4g+NEoqP/TU3ONf3U7uA9
 ha6Sb/4ZGJlpJ8VJCAXlcivkSSTcWIHjIgEza4DKdyPMc4IqLWXFiNY+NMNak9foZkdD
 BOven4Mc293nX1XnCH6aAfZe+AnGhEG6YW1R8RPFsCnLq1munIRl71AfFfENIPUZfF4x
 88nIj9TDg17K853MXra4Y0zTWuJTW3fjp/DvuXg+HA1JQazjxlY8Iyrh9l+h7g84uNnz
 KgOQ==
X-Gm-Message-State: AOAM531bg7oj3ZGo9msv6f9hKs7JzbckGJJSS9r5nsryN5WG5cAekHqJ
 BKUwAsi/AKU1rRpqlu7zgVh4uL7XYtd8UGP6bwg=
X-Google-Smtp-Source: ABdhPJyo9/6sR/KoPrJadXOXYvbx+VqUnG1/NLAwu7Wpla3CS/9vLhA5Jc29sWGhAhygmK/jcHVVgduUMGYUbtpudjc=
X-Received: by 2002:a17:90b:3805:: with SMTP id
 mq5mr2148642pjb.143.1632789711987; 
 Mon, 27 Sep 2021 17:41:51 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 27 Sep 2021 17:41:51 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <877df3stzx.fsf@HIDDEN>
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 <877df3stzx.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 27 Sep 2021 17:41:51 -0700
Message-ID: <CADwFkmnQg-zuGcZXEZV6OGWysTrB=gYmXjqWx0=w0L+vLKArnw@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I'm not sure about the notation.  Perhaps "\\[[...]]" is okay, or
>> perhaps we want some other delimiter.
>
> What about...  \\`C-h'
>
> Hm.  Possibly too confusing.

Using some other delimiters than "\\[]" would probably be nice though,
because:

    (substitute-command-keys "\\[[C-h]]")
    =3D> "M-x [C-h]"

    (substitute-command-keys "\\`C-h`")
    =3D> "\\=E2=80=98C-h=E2=80=98"

The second one will be printed as "\=E2=80=98C-h=E2=80=98" on old versions,=
 which isn't
perfect but not too bad.  Even if the extra "\" is distracting, it is at
least not actively misleading...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at 50804 <at> debbugs.gnu.org:


Received: (at 50804) by debbugs.gnu.org; 26 Sep 2021 06:58:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 02:58:54 2021
Received: from localhost ([127.0.0.1]:35602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUO7i-0003cL-Lb
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 02:58:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mUO7g-0003c6-Nr
 for 50804 <at> debbugs.gnu.org; Sun, 26 Sep 2021 02:58:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ea7h4I6FuLwBmtKn7wJVbETHQG+ZBF8i2QgLHp49ZrU=; b=hLmxGF9noEZmlP2tXmJwaRPczb
 29/yjM9yMX5r/RLBQq5rARkeD2+b2NDoE+EiklW8yHnTKkdt/TNFIs1z76M7wYXAj+kQfTLFrsUnY
 vHU0DMVqFMV/OI0fhmpS2xMXQw79HCnZ4tjz6E2xwcnHZ5yJnpOMZk8QLib+CaFtzafk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mUO7Y-0006P7-24; Sun, 26 Sep 2021 08:58:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50804: Command substitutions for keys without keymaps
References: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
X-Now-Playing: Japan's _Quiet Life (3): Live At The Budokan 1980_:
 "...Rhodesia"
Date: Sun, 26 Sep 2021 08:58:42 +0200
In-Reply-To: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
 (Stefan Kangas's message of "Sat, 25 Sep 2021 11:01:38 -0700")
Message-ID: <877df3stzx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > It would be nice
 if we could have some way of putting a face on such key > bindings, without
 having to fiddle with propertize. For example: > > (message
 (substitute-command-keys > (concat "\\[[C-h]] [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50804
Cc: 50804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> It would be nice if we could have some way of putting a face on such key
> bindings, without having to fiddle with propertize.  For example:
>
>     (message (substitute-command-keys
>               (concat "\\[[C-h]] or \\[[?]] for more options;
> \\[[SPC]] to leave "
>                       "unchanged, Character to replace word"))))

Makes sense to me.

> I'm not sure about the notation.  Perhaps "\\[[...]]" is okay, or
> perhaps we want some other delimiter.

What about...  \\`C-h'

Hm.  Possibly too confusing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2021 18:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 14:01:53 2021
Received: from localhost ([127.0.0.1]:34648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUBzl-00082D-0R
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:01:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:54348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mUBzk-00081y-9e
 for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:01:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40256)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mUBze-0007uC-IM
 for bug-gnu-emacs@HIDDEN; Sat, 25 Sep 2021 14:01:49 -0400
Received: from mail-pj1-f45.google.com ([209.85.216.45]:50950)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mUBzY-0005QJ-Mh
 for bug-gnu-emacs@HIDDEN; Sat, 25 Sep 2021 14:01:45 -0400
Received: by mail-pj1-f45.google.com with SMTP id k23so9281776pji.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 25 Sep 2021 11:01:40 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=DNJvEJAsqBvs6ACE+bUcdwQ98unFWtlq4uJPalka3Ds=;
 b=xeilvRYuOgT8hdz5BfWBuBT575DpWigcn8e40NJqi+DwLTut6R5VWp2IGP9u7vNYrr
 S7vp6s8t4p1oRg6k3MXTY8clypwepcIyU6qr1hw21smH5P00pQVozV36GlMPYRvtCt1r
 j2PbOcqJdfCJeqVbqhQn8OthafizG0/M2z9szKQk77ANA14ZimFOPaEwXeTPa6kmk5/5
 cBxAFwKYZRh+pDOuCb7MlcxEYiAOTcC2nLLNCEEGUdVW3M17eSEYOvZ3/PA8aJw7yNQo
 14VV0bILA4L4w5e2ST7pp++WXylWLTYNaaODlCBYFvr9f8RKFvRYa9VgpEvhbV2U/CXp
 piNg==
X-Gm-Message-State: AOAM533lOf9zvm4q1TX9HyRxi25mXqvd+16J7PBZETaJYMke0pUxkpHb
 TWMIVTfJGssZQ499d/qmMGOHRuuRjo+j7mMA0vhAotpc6t0=
X-Google-Smtp-Source: ABdhPJxSqHG3vaYwrR/3XBr38FRU1pN34r64AD+vDp+AEZRCuL/pUhLP4Zu2q95jK1Ox8hei9XfhPT+5NWQqojikHSU=
X-Received: by 2002:a17:90a:460a:: with SMTP id
 w10mr9414216pjg.132.1632592899095; 
 Sat, 25 Sep 2021 11:01:39 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 25 Sep 2021 11:01:38 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Sat, 25 Sep 2021 11:01:38 -0700
Message-ID: <CADwFkmmjzbwJ=V47V1YUpTAqQQHh9pUk2asCMfyd4-LctYp2=w@HIDDEN>
Subject: Command substitutions for keys without keymaps
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.216.45;
 envelope-from=stefankangas@HIDDEN; helo=mail-pj1-f45.google.com
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_20=-0.001,
 FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Severity: wishlist

We have "\\[foo]" command substitutions in `substitute-command-keys'.
This also puts the face help-key-binding on the replaced text, which
makes key bindings stand out more clearly.

We don't always have a keymap to refer to, because the keys are read
through `read-key' or similar.

For example, in ispell.el:

    (message (concat "C-h or ? for more options; SPC to leave "
                     "unchanged, Character to replace word")))

In other cases, we have the same situation in a docstring, for example
in `isearch-lax-whitespace'.

It would be nice if we could have some way of putting a face on such key
bindings, without having to fiddle with propertize.  For example:

    (message (substitute-command-keys
              (concat "\\[[C-h]] or \\[[?]] for more options;
\\[[SPC]] to leave "
                      "unchanged, Character to replace word"))))

I'm not sure about the notation.  Perhaps "\\[[...]]" is okay, or
perhaps we want some other delimiter.

And perhaps we would want support for this notation also in
`format-messages'?  I'm not sure, but I'm putting it out there.




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50804; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 22 Nov 2021 06:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.